system_same54.c File Reference

Low-level initialization functions called upon chip startup. More...

`#include "same54.h"`

Go to the source code of this file.

## Macros

#define | __SYSTEM_CLOCK (48000000)

## Functions

void | SystemInit (void)
| Setup the microcontroller system. Initialize the System and update the SystemCoreClock variable. More...
void | SystemCoreClockUpdate (void)
| Updates the SystemCoreClock with current core Clock retrieved from cpu registers. More...

## Variables

uint32_t | SystemCoreClock = __SYSTEM_CLOCK

## Detailed Description

Low-level initialization functions called upon chip startup.

Copyright (c) 2019 Microchip Technology Inc.

\asf_license_start

Definition in file system_same54.c.

## Macro Definition Documentation

## __SYSTEM_CLOCK

#define __SYSTEM_CLOCK (48000000)

Initial system clock frequency. The System RC Oscillator (RCSYS) provides the source for the main clock at chip startup.

Definition at line 36 of file system_same54.c.

## Function Documentation

## SystemCoreClockUpdate()

void SystemCoreClockUpdate | ( | void |  | ) |

Updates the SystemCoreClock with current core Clock retrieved from cpu registers.

Update SystemCoreClock variable

Definition at line 59 of file system_same54.c.

{
// Not implemented
SystemCoreClock = __SYSTEM_CLOCK;
return;
}

## SystemInit()

void SystemInit | ( | void |  | ) |

Setup the microcontroller system. Initialize the System and update the SystemCoreClock variable.

Initialize the system

Definition at line 46 of file system_same54.c.

{
// Keep the default device state after reset
SystemCoreClock = __SYSTEM_CLOCK;
return;
}

## Variable Documentation

## SystemCoreClock

uint32_t SystemCoreClock = __SYSTEM_CLOCK

System Clock Frequency (Core Clock)

Definition at line 38 of file system_same54.c.

SystemCoreClock
uint32_t SystemCoreClock
Definition: system_same54.c:38
__SYSTEM_CLOCK
#define __SYSTEM_CLOCK
Definition: system_same54.c:36